local celeste = require("#celeste")
local csharpVector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
	disableMovement()
	waitUntilOnGround()
	celeste.SpotlightWipe.FocusPoint = csharpVector2(0, 138)
	getRoom().Wipe = celeste.SpotlightWipe(getRoom(), false, nil)
	wait(1.8)
	player.Facing = getEnum("Celeste.Facings", "Right")
	wait()
	teleportTo(36, 160, "b00", "WalkInLeft")
	enableMovement()
end